function init(hero) {
    hero.setName("Winter Soldier");
    hero.setTier(3);
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestpeice");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.addEquipment("fiskheroes:captain_americas_shield");
	hero.addEquipment("fiskheroes:chronos_rifle");
    
    hero.addAbilities("fiskheroes:cellular_regeneration", "fiskheroes:enhanced_reflexes");
    hero.addAttribute("ATTACK_DAMAGE", 0.9, 1);
    hero.addAttribute("FALL_RESISTANCE", 7.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 3.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
	
	hero.addKeyBind("AIM", "key.aim", 1);
    
    hero.setHasPermission(hasPermission);
	hero.supplyFunction("canAim", canAim);
}

function hasPermission(entity, permission) {
    return permission == "THROW_SHIELD" || permission == "USE_SHIELD" || permission == "USE_CHRONOS_RIFLE";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:chronos_rifle";
}